{% extends "base_homes.html" %}

{% block article %}

    {% if login %}

        <div class="alert alert-success" role="alert"><strong>Want to Write an Article ? Click <a href="{% url 'new_article' %}">Here</a></strong></div>

    {% else %}

        <div class="alert alert-danger" role="alert"><strong><em>You Need to Login to Post an Article.</em></strong></div>

    {% endif %}
    
    {% for article in articles %}

        <ul class="list-group">

            {% if article.pinned %}
                <li class="list-group-item text-muted"> <p style="color: red"><b>Pinned Article</b></p> </li>
            {% endif %}
                <li class="list-group-item text-muted"> <h2><a href="{% url 'article' article.id %}">{{ article.title }}</a></h2> </li>

                <li class="list-group-item text-muted"> <em>by <a href="#">{{ article.writer}}</a></em> </li>

                <li class="list-group-item text-muted"> <span class="pull-right"> {{ article.created }} </span>Category : <a href="{% url 'tag' article.category %}">{{ article.category}}</a> </li>

                {% if article.image %}
                    <li class="list-group-item"> <p align="center"><img class="img-responsive img-rounded" src="{{ article.image.url }}" style="width: 400px; height: 250px;box-shadow: 10px 10px 5px #888888;" alt=""></p> </li>
                {% endif %}

                <li class="list-group-item text-muted"> <article> {{ article.body|safe|truncatewords_html:20 }} </article> <br /> <a class="btn btn-primary" href="{% url 'article' article.id %}">Read More ...</a> </li>

        </ul>

    {% endfor %}
   

                                   <!--Paginator starts here-->
                                <div align="right">
                                   <ul class="pagination">
                                        {%if articles.has_previous%}                                    
                                        <li class="prev"><a href="?page={{articles.previous_page_number}}">← Previous</a></li>
                                        {%endif%}
                                       

                                        {%for pg in articles.paginator.page_range%}
                                            {% if articles.number == pg %}
                                            <li class="active"><a href="?page={{pg}}">{{pg}}</a></li>
                                            {%else%}
                                            <li><a href="?page={{pg}}">{{pg}}</a></li>
                                            {%endif%}
                                        {%endfor%}


                                        {%if articles.has_next%} 
                                        <li class="next"><a href="?page={{articles.next_page_number}}">Next → </a></li>
                                        {%endif%}
                                    </ul>
                                </div>
                                    <!-- Pahinator Finishes Here-->


{% endblock article %}